<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button color="light" defaultHref="/app/tabs/tab1"></ion-back-button>
      <!--
      <ion-button [routerLink]="['/app/complete-list']">{{"BACK_BUTTON_TEXT" | translate}}</ion-button>
      -->
    </ion-buttons>
    <ion-buttons slot="end">
        <ion-button (click)="presentActionSheet()">
            <ion-icon name="more"></ion-icon>
        </ion-button>
    </ion-buttons>
    
    <ion-title>{{"DETAILS.TITLE" | translate}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding #content>
  <div *ngFor="let result of results">
    <ion-card>
      <ion-card-content>
        <ion-list>
          <ion-item>
            <ion-icon name="calendar"></ion-icon>
            <ion-label>{{ timestamp }}</ion-label>
            <ion-checkbox color="slackSub" slot="end" [(ngModel)]="isChecked" (ionChange)="checkboxClick($event)"></ion-checkbox>
          </ion-item>
          <ion-item>
              <ion-icon name="briefcase"></ion-icon>
              <ion-label>{{ result.cname }}</ion-label>  
          </ion-item>
          <ion-item>
              <ion-icon name="pin"></ion-icon>
              <ion-label>{{ result.sname }}</ion-label>
          </ion-item>
          <ion-item>
              <ion-icon name="contact"></ion-icon>
              <ion-label>{{ result.ct_name }}</ion-label>
          </ion-item>
          <ion-item>
              <ion-icon name="clipboard"></ion-icon>
              <ion-label>{{ result.mixnum }}</ion-label>
          </ion-item>
        </ion-list>
      </ion-card-content>
    </ion-card>

    <ion-card>
      <ion-img *ngIf="result.imgurl" width="80" height="80" [src]="'http://app.dymeter.com:4000/images/' + displayedImage"></ion-img>
      <!--
      <h3 *ngIf="images.length == 0" text-center>사진을 선택해주세요!</h3>
      -->
      <ion-list>
        <ion-item *ngFor="let img of images; index as pos" text-wrap>
          <ion-thumbnail slot="start">
            <ion-img [src]="img.path"></ion-img>
          </ion-thumbnail>
          <ion-label>
            {{ img.name }}
          </ion-label>
          <ion-button slot="end" fill="clear" (click)="startUpload(img)">
            <ion-icon slot="icon-only" name="cloud-upload"></ion-icon>
          </ion-button>
          <ion-button slot="end" fill="clear" (click)="deleteImage(img, pos)">
            <ion-icon slot="icon-only" name="trash"></ion-icon>
          </ion-button>
        </ion-item>
      </ion-list>
      <ion-button color="slackSub" fill="clear" expand="full" (click)="selectImage()">
        <ion-icon color="slackSub" slot="start" color="primary" name="camera"></ion-icon>
        이미지 선택
      </ion-button>
    </ion-card>

    <ion-card>
      <ion-card-content>
          <ion-grid>
            <ion-row>
              <ion-col  size="6">
                <div>
                  {{"PLEASE_REGISTER_THE_MIX_TABLE_FIRST" | translate}}
                </div>
              </ion-col>
              <ion-col size="3">
                <div>
                    {{"MASS" | translate}}
                </div>
              </ion-col>
              <ion-col size="3">
                <div>
                    {{"DENSITY" | translate}}
                </div>
              </ion-col>
            </ion-row>

            <ion-row>
              <ion-col>
                {{"WATER" | translate}}
              </ion-col>
              <ion-col>
                  (W1)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.w1_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.w1_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                  (W2)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.w2_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.w2_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                <div>
                  (W3)
                </div>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.w3_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.w3_density }}</ion-label>
              </ion-col>
            </ion-row>

            <ion-row>
              <ion-col>
                {{"CEMENT" | translate}}
              </ion-col>
              <ion-col>
                  (C1)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.c1_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.c1_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                  (C2)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.c2_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.c2_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                <div>
                  (C3)
                </div>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.c3_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.c3_density }}</ion-label>
              </ion-col>
            </ion-row>

            <ion-row>
              <ion-col>
                {{"MINERAL_ADMIXTURE" | translate}}
              </ion-col>
              <ion-col>
                  (m.ad1)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.mad1_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.mad1_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                  (m.ad2)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.mad2_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.mad2_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                <div>
                  (m.ad3)
                </div>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.mad3_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.mad3_density }}</ion-label>
              </ion-col>
            </ion-row>

            <ion-row>
              <ion-col>
                {{"FINE_AGGREGATE" | translate}}
              </ion-col>
              <ion-col>
                  (S1)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.s1_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.s1_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                  (S2)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.s2_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.s2_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                  (S3)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.s3_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.s3_density }}</ion-label>
              </ion-col>
            </ion-row>

            <ion-row>
              <ion-col>
                {{"COARSE_AGGREGATE" | translate}}
              </ion-col>
              <ion-col>
                  (G1)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.g1_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.g1_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                  (G2)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.g2_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.g2_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                  (G3)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.g3_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.g3_density }}</ion-label>
              </ion-col>
            </ion-row>

            <ion-row>
              <ion-col>
                {{"ADMIXTURE" | translate}}
              </ion-col>
              <ion-col>
                  (AD1)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.ad1_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.ad1_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                  (AD2)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.ad2_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.ad2_density }}</ion-label>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col>
              </ion-col>
              <ion-col>
                  (AD3)
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.ad3_unit }}</ion-label>
              </ion-col>
              <ion-col>
                  <ion-label>{{ result.ad3_density }}</ion-label>
              </ion-col>
            </ion-row>
          </ion-grid>
      </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-content>
        <ion-grid>
          <ion-row>
            <ion-col>
              <ion-label>{{ "DESIGNED_AIR_CONTENT" | translate }}(%)</ion-label>
            </ion-col>
            <ion-col>
              <ion-label text-center>{{ result.air }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{ "AGGREGATE_CORRECTION_FACTOR" | translate }}</ion-label>
            </ion-col>
            <ion-col>
              <ion-label text-center>{{ result.aggregate }}</ion-label>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{ "CEMENT_WET_DENSITY" | translate }}</ion-label>
            </ion-col>
            <ion-col>
              <ion-label text-center>{{ result.wet }}</ion-label>
            </ion-col>
          </ion-row>
        </ion-grid>
      </ion-card-content>
    </ion-card>
    <ion-card>
      <ion-card-header>
        <ion-card-subtitle>{{"MEASURED_RESULT" | translate}}</ion-card-subtitle>
      </ion-card-header>
      <ion-card-content>
        <ion-grid>
          <ion-row>
            <ion-col>
              <ion-label>{{"VESSEL_MASS" | translate}}(g)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.common_mass }}</ion-label>
            <ion-note>g</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"VESSEL_MASS_FILLED_WITH_WATER" | translate}}(g)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.common_water }}</ion-label>
            <ion-note>g</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"VESSEL_VOLUME" | translate}}(ml)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.common_volume }}</ion-label>
            <ion-note>ml</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"SLUMP" | translate}}(mm)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.input_slump }}</ion-label>
            <ion-note>mm</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"CONCRETE_TEMP" | translate}}(°C)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.input_temp }}</ion-label>
            <ion-note>°C</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"VESSEL+CON" | translate}}(g)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.input_before }}</ion-label>
            <ion-note>g</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"VESSEL+CON+W" | translate}}(g)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.input_after }}</ion-label>
            <ion-note>g</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"INITIAL_PRESSURE" | translate}}(kPa)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.input_i_pressure }}</ion-label>
            <ion-note>kPa</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"EQUILIBRIUM_PRESSURE" | translate}}(kPa)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.input_e_pressure }}</ion-label>
            <ion-note>kPa</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"DESIGN_VOLUME" | translate}}(m³)</ion-label>
            </ion-col>
            <ion-label text-center>{{ (result.mix_volume / 1000).toFixed(3) }}</ion-label>
            <ion-note>m³</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"MASS_OF_UNIT_VOLUME" | translate}}(kg/m³)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.result_mass }}</ion-label>
            <ion-note>kg/m³</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"AIR_CONTENT" | translate}}(%)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.result_air }}</ion-label>
            <ion-note>%</ion-note>
          </ion-row>
          <ion-row>
            <ion-col>
              <ion-label>{{"UNIT_CONTENT_OF_WATER" | translate}}(kg/m³)</ion-label>
            </ion-col>
            <ion-label text-center>{{ result.result_quantity }}</ion-label>
            <ion-note>kg/m³</ion-note>
          </ion-row>
        </ion-grid>
      </ion-card-content>
    </ion-card>
    <ion-card>
        <ion-card-header>
            <ion-card-subtitle>
                {{"MEMO" | translate}}
            </ion-card-subtitle>
        </ion-card-header>
        <ion-card-content>
            <ion-item lines="none" (click)="updateMemo()">
                <ion-label text-wrap>
                    {{ result.memo }}
                </ion-label>
                <ion-icon slot="end" name="create"></ion-icon>
            </ion-item>
        </ion-card-content>
    </ion-card>

  </div>

</ion-content>
<ion-footer>
    <ion-button expand="full" color="slackSub" (click)="print()">{{"PRINT" | translate}}</ion-button>
</ion-footer>
